<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="is-IS">

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<title>NAV Web Service via PHP</title>
</head>
<body>

<?php

require_once("ntlm/NTLMStream.php");

require_once("ntlm/NTLMSoapClient.php");

stream_wrapper_unregister('http');

stream_wrapper_register('http', 'NTLMStream') or die("Failed to register protocol");

// Initialize Soap Client 
$baseURL = 'http://kappisbs.kappi.local:7047/DynamicsNAV/WS/'; 
$client = new NTLMSoapClient($baseURL.'SystemService');

// Find the first Company in the Companies 
$result = $client->Companies(); 
$companies = $result->return_value; 
echo "Companies:<br>"; 
if (is_array($companies)) { 
  foreach($companies as $company) { 
    echo "$company<br>"; 
  } 
  $cur = $companies[0]; 
} 
else { 
  echo "$companies<br>"; 
  $cur = $companies; 
}


$pageURL = $baseURL.rawurlencode($cur).'/Page/Customer'; 
echo "<br>URL of Customer page: $pageURL<br><br>";

// Initialize Page Soap Client 
$page = new NTLMSoapClient($pageURL);

$params = array('No' => '20000'); 
$result = $page->Read($params); 
$customer = $result->Customer; 
echo "Name of Customer 20000:".$customer->Name."<br><br>";

$params = array('filter' => array( 
                                    array('Field' => 'Location_Code', 
                                          'Criteria' => 'RED|BLUE'), 
                                    array('Field' => 'Country_Region_Code', 
                                          'Criteria' => 'GB') 
                                  ), 
                'setSize' => 0); 
$result = $page->ReadMultiple($params); 
$customers = $result->ReadMultiple_Result->Customer;

echo "Customers in GB served by RED or BLUE warehouse:<br>";

if (is_array($customers)) { 
  foreach($customers as $cust) { 
    echo $cust->Name."<br>"; 
  } 
} 
else { 
  echo $customers->Name."<br>"; 
}

stream_wrapper_restore('http');


?>
</body>
</html>

